Bug 185482 - DMA cannot be used for IDE on nforce 430 chipset
DMA cannot be used for IDE on nforce 430 chipset
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-03-14 21:38 EST by dijuremo
Modified: 2012-06-20 09:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 09:31:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description dijuremo 2006-03-14 21:38:50 EST
Description of problem:
When using any of the released RHEL4 kernels including 2.6.9-34, dma cannot be
enabled on IDE drives connected to the nvidia controller on a motherboard with
the nforce 430 chipset. All IDE I/O is terribly ssssssllllllooooowwwwwwwww.

IMPORTANT NOTE: The OS was installed to drives connected to a 3ware SATA raid
controller. Two additional IDE hard drives are connected as hda and hdc and
mirrored through software raid for redundancy. Slowness is only related to the
IDE drives. I have not tested SATA drives plugged in directly into the
Motherboard and not to the 3ware card.

I am using the MSI K8NGM2-FID motherboard:


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install RHEL4
2. dmesg shows:
ide0: Speed warnings UDMA 3/4/5 is not functional.
ide1: Speed warnings UDMA 3/4/5 is not functional.
3. Trying to enable DMA with hdparm shows:
[root@roz ~]# hdparm -X69 -d1 /dev/hda

setting using_dma to 1 (on)
HDIO_SET_DMA failed: Operation not permitted
setting xfermode to 69 (UltraDMA mode5)
using_dma    =  0 (off)
4. hdparm -t reports buffered reads of 2MB/s with the hard drive not even
mounted or used

Current Solution
I downloaded, compiled and installed a vanilla kernel on the machine.
DMA is enabled correctly and hpdarm -t shows buffered reads of ~57MB/s. The
machine is fast now. It would be nice if the appropriate patches can be added to
the production RHEL kernels to run the machine in production with a stock kernel.
Comment 2 klaas de zwart 2006-04-04 07:24:05 EDT
I have a similar problem, using Intel Corporation 6300ESB SATA Storage 
Controller, on 2.6.9-34.ELsmp
attempt to enable DMA using hdparm:
HDIO_SET_DMA failed: Operation not permitted

Sata drive is extremely slow
 Timing buffered disk reads:   12 MB in  3.14 seconds =   3.83 MB/sec


Comment 3 Jiri Pallich 2012-06-20 09:31:40 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.